<?php
/**
 * Languages
 *
 * List of languages and codes.
 *
 * @package WooCommerce Redsys Gateway
 * @since 2.0.0
 * @author José Conti.
 * @link https://joseconti.com
 * @link https://redsys.joseconti.com
 * @link https://woo.com/products/redsys-gateway/
 * @license GNU General Public License v3.0
 * @license URI: http://www.gnu.org/licenses/gpl-3.0.html
 * @copyright 2013-2024 José Conti.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Get language code.
 *
 * @return array
 */
function redsys_return_languages() {

	return array(
		'1'   => 'Español',
		'2'   => 'English - Inglés',
		'3'   => 'Català',
		'4'   => 'Français - Frances',
		'5'   => 'Deutsch - Aleman',
		'6'   => 'Nederlands - Holandes',
		'7'   => 'Italiano',
		'8'   => 'Svenska - Sueco',
		'9'   => 'Português',
		'10'  => 'Valencià',
		'11'  => 'Polski - Polaco',
		'12'  => 'Galego',
		'13'  => 'Euskara',
		'100' => 'български език - Bulgaro',
		'156' => 'Chino',
		'191' => 'Hrvatski - Croata',
		'203' => 'Čeština - Checo',
		'208' => 'Dansk - Danes',
		'233' => 'Eesti keel - Estonio',
		'246' => 'Suomi - Finlandes',
		'300' => 'ελληνικά - Griego',
		'348' => 'Magyar - Hungaro',
		'392' => 'Japonés',
		'428' => 'Latviešu valoda - Leton',
		'440' => 'Lietuvių kalba - Lituano',
		'470' => 'Malti - Maltés',
		'642' => 'Română - Rumano',
		'643' => 'ру́сский язы́к - Ruso',
		'703' => 'Slovenský jazyk - Eslovaco',
		'705' => 'Slovenski jezik - Esloveno',
		'792' => 'Türkçe - Turco',
	);
}
