<?php
/**
 * Redsys Languages
 *
 * List of Redsys languages.
 *
 * @package WooCommerce Redsys Gateway
 * @since 2.0.0
 * @author José Conti.
 * @link https://joseconti.com
 * @link https://redsys.joseconti.com
 * @link https://woo.com/products/redsys-gateway/
 * @license GNU General Public License v3.0
 * @license URI: http://www.gnu.org/licenses/gpl-3.0.html
 * @copyright 2013-2024 José Conti.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Get Redsys languages.
 *
 * @return array
 */
function redsys_return_all_languages_code() {

	return array(
		'es_AR' => '1',
		'es_CL' => '1',
		'es_CO' => '1',
		'es_CR' => '1',
		'es_DO' => '1',
		'es_GT' => '1',
		'es_HN' => '1',
		'es_MX' => '1',
		'es_PE' => '1',
		'es_PR' => '1',
		'es_ES' => '1',
		'es_UY' => '1',
		'es_VE' => '1',
		'esp'   => '1',
		'es'    => '1',
		'ar'    => '1',
		'cl'    => '1',
		'co'    => '1',
		'cr'    => '1',
		'do'    => '1',
		'gt'    => '1',
		'hn'    => '1',
		'mx'    => '1',
		'pe'    => '1',
		'pr'    => '1',
		'uy'    => '1',
		've'    => '1',
		'en_AU' => '2',
		'en_CA' => '2',
		'en_NZ' => '2',
		'en_ZA' => '2',
		'en_GB' => '2',
		'en_US' => '2',
		'en'    => '2',
		'au'    => '2',
		'nz'    => '2',
		'za'    => '2',
		'gb'    => '2',
		'us'    => '2',
		'ca'    => '3',
		'va'    => '3',
		'bal'   => '3',
		'fr_BE' => '4',
		'fr_CA' => '4',
		'fr_FR' => '4',
		'fr'    => '4',
		'be'    => '4',
		'de_DE' => '5',
		'de_AT' => '5',
		'de_CH' => '5',
		'ch'    => '5',
		'at'    => '5',
		'de'    => '5',
		'nl_NL' => '6',
		'nl_BE' => '6',
		'nl'    => '6',
		'it_IT' => '7',
		'it'    => '7',
		'sv_SE' => '8',
		'sv'    => '8',
		'pt_AO' => '9',
		'pt_BR' => '9',
		'pt_PT' => '9',
		'pt_pt' => '9',
		'pt'    => '9',
		'pl_PL' => '11',
		'pl'    => '11',
		'gl_ES' => '12',
		'gl'    => '12',
		'eu'    => '13',
		'bg_BG' => '100',
		'bg'    => '100',
		'zh_CN' => '156',
		'zh_HK' => '156',
		'zh_SG' => '156',
		'zh_TW' => '156',
		'zh'    => '156',
		'hr'    => '191',
		'cs_CZ' => '203',
		'cs'    => '203',
		'da_DK' => '208',
		'da'    => '208',
		'et'    => '233',
		'fi'    => '246',
		'el'    => '300',
		'hu_HU' => '348',
		'hu'    => '348',
		'ja'    => '392',
		'lv'    => '428',
		'lt_LT' => '440',
		'lt'    => '440',
		'mlt'   => '470',
		'ro_RO' => '642',
		'ro'    => '642',
		'ru_RU' => '643',
		'ru'    => '643',
		'sk_SK' => '703',
		'sk'    => '703',
		'sl_SI' => '705',
		'sl'    => '705',
		'tr_TR' => '792',
		'tr'    => '792',
		'es-ar' => '1',
		'es-cl' => '1',
		'es-co' => '1',
		'es-cr' => '1',
		'es-do' => '1',
		'es-gt' => '1',
		'es-hn' => '1',
		'es-mx' => '1',
		'es-pe' => '1',
		'es-pr' => '1',
		'es-es' => '1',
		'es-uy' => '1',
		'es-ve' => '1',
		'es'    => '1',
		'ar'    => '1',
		'cl'    => '1',
		'co'    => '1',
		'cr'    => '1',
		'do'    => '1',
		'gt'    => '1',
		'hn'    => '1',
		'mx'    => '1',
		'pe'    => '1',
		'pr'    => '1',
		'uy'    => '1',
		've'    => '1',
		'en-au' => '2',
		'en-ca' => '2',
		'en-nz' => '2',
		'en-za' => '2',
		'en-gb' => '2',
		'en-us' => '2',
		'en'    => '2',
		'au'    => '2',
		'nz'    => '2',
		'za'    => '2',
		'gb'    => '2',
		'us'    => '2',
		'ca'    => '3',
		'bal'   => '3',
		'fr-be' => '4',
		'fr-ca' => '4',
		'fr-fr' => '4',
		'fr'    => '4',
		'be'    => '4',
		'de-de' => '5',
		'de-at' => '5',
		'de-ch' => '5',
		'ch'    => '5',
		'at'    => '5',
		'de'    => '5',
		'nl-nl' => '6',
		'nl-be' => '6',
		'nl'    => '6',
		'it-it' => '7',
		'it'    => '7',
		'sv-se' => '8',
		'sv'    => '8',
		'pt-ao' => '9',
		'pt-br' => '9',
		'pt-pt' => '9',
		'pt'    => '9',
		'pl-pl' => '11',
		'pl'    => '11',
		'gl-es' => '12',
		'gl'    => '12',
		'eu'    => '13',
		'bg-bg' => '100',
		'bg'    => '100',
		'zh-cn' => '156',
		'zh-hk' => '156',
		'zh-sg' => '156',
		'zh-tw' => '156',
		'zh'    => '156',
		'hr'    => '191',
		'cs-cz' => '203',
		'cs'    => '203',
		'da-dk' => '208',
		'da'    => '208',
		'et'    => '233',
		'fi'    => '246',
		'el'    => '300',
		'hu-hu' => '348',
		'hu'    => '348',
		'ja'    => '392',
		'lv'    => '428',
		'lt-lt' => '440',
		'lt'    => '440',
		'mlt'   => '470',
		'ro-ro' => '642',
		'ro'    => '642',
		'ru-ru' => '643',
		'ru'    => '643',
		'sk-sk' => '703',
		'sk'    => '703',
		'sl-si' => '705',
		'sl'    => '705',
		'tr-tr' => '792',
		'tr'    => '792',
	);
}
